Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.model
Class NonUniqueIndex

    java.lang.Object
      org.apache.ddlutils.model.IndexImpBase
          org.apache.ddlutils.model.NonUniqueIndex

All Implemented Interfaces:
  Serializable, Cloneable, Index

    public class NonUniqueIndex

extends IndexImpBase

Represents an index definition for a table.

Version:
  $Revision: 289996 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.ddlutils.model.IndexImpBase
`_columns, _name`

Constructor Summary
`NonUniqueIndex()`

Method Summary
`Object` | `clone()` Clones this index.
`boolean` | `equals(Object obj)`
`boolean` | `equalsIgnoreCase(Index other)` Compares this index to the given one while ignoring the case of identifiers.
`int` | `hashCode()`
`boolean` | `isUnique()` Determines whether this index is unique or not.
`String` | `toString()`
`String` | `toVerboseString()` Returns a verbose string representation of this index.

Methods inherited from class org.apache.ddlutils.model.IndexImpBase
`addColumn, getColumn, getColumnCount, getColumns, getName, hasColumn, removeColumn, removeColumn, setName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonUniqueIndex

    public NonUniqueIndex()

Method Detail

### isUnique

    public boolean isUnique()

  Determines whether this index is unique or not.

  Returns:
    `true` if the index is an unique one

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Clones this index.

  Specified by:
    `clone` in interface `Index`
  Specified by:
    `clone` in class `IndexImpBase`
  Returns:
    The clone
  Throws:
    `CloneNotSupportedException` - If the cloning did fail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### equalsIgnoreCase

    public boolean equalsIgnoreCase(Index other)

  Compares this index to the given one while ignoring the case of identifiers.

  Parameters:
    `other` - The other index
  Returns:
    `true` if this index is equal (ignoring case) to the given one

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toVerboseString

    public String toVerboseString()

  Returns a verbose string representation of this index.

  Returns:
    The string representation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.